Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 569796 - app-text/acroread uses dev-libs/openssl:0.9.8
Summary: app-text/acroread uses dev-libs/openssl:0.9.8
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Printing Team
URL:
Whiteboard:
Keywords: PMASKED
Depends on:
Blocks: 569792
  Show dependency tree
 
Reported: 2015-12-26 12:13 UTC by Agostino Sarubbo
Modified: 2017-07-14 11:06 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2015-12-26 12:13:25 UTC
We are trying to reduce the stable keywords or eventually drop the 0.9.8 slot.

This package specifies :0.9.8

I'm wondering if there is a version which works with openssl:0 or there is another way to avoid to keep 0.9.8.
Thanks
Comment 1 Agostino Sarubbo gentoo-dev 2015-12-26 13:25:16 UTC
After investigations seems abandoned upstream. Latest release was in 2013.

You can think about mask and removal.
Comment 2 Pacho Ramos gentoo-dev 2016-03-04 12:08:32 UTC
I am opposed to lastrite this as I still need this from time to time for some pdf files (usually those involving to fill things inside them that are still failing in some cases with free alternatives)

I also wonder how ArchLinux people are able to package this without openssl:0.9.8 :/

https://aur.archlinux.org/cgit/aur.git/tree/PKGBUILD?h=acroread
Comment 3 Pacho Ramos gentoo-dev 2016-03-04 13:53:24 UTC
Umm, it looks to work with the ugly workaround of symlinking libssl and libcrypto from :0 slot as 0.9.8 :/
Comment 4 Holger Hoffstätte 2016-03-06 12:15:02 UTC
(In reply to Pacho Ramos from comment #3)
> Umm, it looks to work with the ugly workaround of symlinking libssl and
> libcrypto from :0 slot as 0.9.8 :/

Can confirm that this works for me as well with 1.0.2g-r2 (was worried for a second there - I *need* acroread.)

It's probably best not to overthink this; there's a good chance that the dependency is purely accidental and that whoever linked this thing together had no real idea what they were doing. Acroread also contains parts of an old zlib while at the same time linking against zlib. Really, don't ask.
Comment 5 Micha 2017-02-15 21:06:06 UTC
Currently 0.9.8z is latest for 0.9.8 in Gentoo. Latest version of OpenSSL is however 0.9.8zh. Can that be upgraded? Or an alternate dependency on that mentioned ugly workaround?
Comment 6 Andreas K. Hüttel gentoo-dev 2017-02-19 22:35:23 UTC
I've taken the liberty to hard-mask Acrobat Reader. It's a security nightmare.
Comment 7 Pacho Ramos gentoo-dev 2017-07-14 11:06:49 UTC
removed